public class TTTController {
    private TTTModel model;
    private Symbol playing;

    public TTTController(TTTModel model) {
        this.model = model;
        playing = Symbol.X;
    }

    public boolean markTile(int xPos, int yPos){
        if (model.markTile(playing, xPos, yPos)) {
            if (playing.equals(Symbol.X)) {
                playing = Symbol.O;
            } else {
                playing = Symbol.X;
            }
            return true;
        }
        return false;
    }
}